Package org.apache.commons.compress.harmony.unpack200.bytecode

# Class CPMember

java.lang.Object
org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry
org.apache.commons.compress.harmony.unpack200.bytecode.CPMember

Direct Known Subclasses:
  `CPField`, `CPMethod`

public class CPMember extends ClassFileEntry
Superclass for member constant pool entries, such as fields or methods.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final CPUTF8`
  `descriptor`

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CPMember(CPUTF8 name, CPUTF8 descriptor, long flags, List<Attribute> attributes)`
  Constructs a new CPMember.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doWrite(DataOutputStream dos)`
  `boolean`
  `equals(Object obj)`
  `protected ClassFileEntry[]`
  `getNestedClassFileEntries()`
  `int`
  `hashCode()`
  `protected void`
  `resolve(ClassConstantPool pool)`
  Allows the constant pool entries to resolve their nested entries.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.bytecode.ClassFileEntry

  `objectHashCode, write`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### descriptor

    protected final CPUTF8 descriptor

- ## Constructor Details

  - ### CPMember

    public CPMember(CPUTF8 name, CPUTF8 descriptor, long flags, List<Attribute> attributes)
    Constructs a new CPMember.
    Parameters:
      `name` - TODO
      `descriptor` - TODO
      `flags` - TODO
      `attributes` - TODO
    Throws:
      `NullPointerException` - if name or descriptor is null

- ## Method Details

  - ### doWrite

    protected void doWrite(DataOutputStream dos) throws IOException
    Specified by:
      `doWrite` in class `ClassFileEntry`
    Throws:
      `IOException`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in class `ClassFileEntry`

  - ### getNestedClassFileEntries

    protected ClassFileEntry[] getNestedClassFileEntries()
    Overrides:
      `getNestedClassFileEntries` in class `ClassFileEntry`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in class `ClassFileEntry`

  - ### resolve

    protected void resolve(ClassConstantPool pool)
    Description copied from class: `ClassFileEntry`
    Allows the constant pool entries to resolve their nested entries.
    Overrides:
      `resolve` in class `ClassFileEntry`
    Parameters:
      `pool` - TODO

  - ### toString

    public String toString()
    Specified by:
      `toString` in class `ClassFileEntry`